unit EditNote;

interface

uses Classes, Controls, Forms, StdCtrls, ComCtrls, NoteSyncML, Spin;

type
  TEditNoteForm = class(TForm)
    Label1: TLabel;
    WhatEd: TEdit;
    OKBtn: TButton;
    DescriptMem: TMemo;
    procedure FormShow(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
  public
    Note: TSMLNote;
  end;

var
  EditNoteForm: TEditNoteForm;

implementation

uses SysUtils;

{$R *.dfm}

procedure TEditNoteForm.FormShow(Sender: TObject);
begin
  WhatEd.Text := Note.Title;
  DescriptMem.Text := Note.Note;
end;

procedure TEditNoteForm.OKBtnClick(Sender: TObject);
begin
  Note.Title := WhatEd.Text;
  Note.Note := DescriptMem.Text;
end;

end.

